<div id="section-{{ section.section_html_id }}"></div>
<section class="{{section.css}}">
    <div class="container">
        {% if section.subtitle != null %}
            <div class="row">
                <div class="col-md-12 text-center">
                    <h2>{{ section.title }}</h2>
                    <h4>{{ section.subtitle }}</h4>
                    <hr class="star-primary">
                </div>
            </div>
        {% endif %}

        <div class="row">
            {% for column in section.columns %}
                {% if column.image %}
                    <div class="col-md-4 portfolio-item">
                        <a href="{{ column.href }}" class="portfolio-link">
                            <div class="caption">
                                <div class="caption-content">
                                    {{ column.caption }}
                                </div>
                            </div>
                        </a>
                        <img src="/img/portfolio/{{ column.image }}" class="img-responsive lazyload"
                             alt="{{ column.caption }}">
                    </div>
                {% else if column.text %}
                    <div class="col-md-4">
                        {{ column.content | markdownify }}
                    </div>
                {% endif %}
            {% endfor %}
        </div>

        {% if section.video %}
            <div class="row vertical-align-big-video">
                <div class="col-md-12">
                  <div class="embed-responsive embed-responsive-16by9">
                      <video class="embed-responsive-item" controls="controls" poster="img/{{section.poster}}">
                          <source src="/video/{{section.video}}" type="video/mp4">
                      </video>
                  </div>
                </div>
            </div>
        {% endif %}

        {% for row in section.rows %}
            {% if pull_class == '' %}
                {% assign pull_class = 'col-md-pull-4'%}
                {% assign push_class = 'col-md-push-8'%}
            {% else %}
                {% assign pull_class = ''%}
                {% assign push_class = ''%}
            {% endif%}
            <div class="row vertical-align">
            {% if row.image %}
                <div class="col-md-4 animation {{push_class}}">
                        <img class="img-responsive lazyload" src="/img/{{row.image}}">
                </div>
            {% elsif row.svg %}
                <style>
                    div.in-view-{{row.section_html_id}} path, div.in-view-{{row.section_html_id}} polygon {
                          stroke: {{ row.svg_line_color }};
                          stroke-width: 2px;
                          stroke-dasharray: 1000;
                          animation: 1s draw;
                        }
                </style>

                <script type="text/javascript">
                    $(window).scroll(function(){
                        if (isScrolledIntoView('#animation-{{row.section_html_id}}') === true) {
                            $('#animation-{{row.section_html_id}}').addClass('in-view-{{row.section_html_id}}')
                        }
                    });
                </script>

                <div class="col-md-4 media-margin {{push_class}}">
                    <div class="center-block animation img-responsive svg-responsive" id="animation-{{row.section_html_id}}">
                        {% include svg/{{ row.svg }} %}
                    </div>
                </div>
            {% elsif row.video %}
                <div class="col-md-4 media-margin {{push_class}}">
                  <div class="embed-responsive embed-responsive-16by9">
                      <video class="embed-responsive-item" controls="controls" poster="img/{{row.poster}}">
                          <source src="/video/{{row.video}}" type="video/mp4">
                      </video>
                  </div>
                </div>
            {% elsif row.bigvideo %}
                <div class="col-md-10 media-margin {{push_class}}">
                  <div class="embed-responsive embed-responsive-16by9">
                      <video class="embed-responsive-item" controls="controls" poster="img/{{row.bigposter}}">
                          <source src="/video/{{row.bigvideo}}" type="video/mp4">
                      </video>
                  </div>
                </div>
            {% elsif row.code %}
                {% include code.html %}
                <div class="col-md-4 text-center {{push_class}}">
                    <div class="window">
                      <div class="icons"><span></span></div>
                      <div class="title">konfuzio.py</div>
                      <pre class="lang-python">
                          <code>
{{row.code | markdownify }}</code>
                      </pre>
                    </div>
                </div>
            {% endif %}

            <!-- second element of one row -->

                <div class="col-md-8 {{pull_class}}">
                    <div class="{% if row.makefancy %}fancyfont{% endif %}">
                        {{ row.content | markdownify }}
                    </div>
                </div>

            </div>

        {% endfor %}

        {% if section.actionlink %}
            <div class="row">
                <div class="pull-right text-nowrap">
                    <p>
                        <blockquote>
                            <a href="{{section.actionlink}}" target="_blank">
                                {{section.actionlinktext}}
                            </a>
                            <i class="fa fa-arrow-right"></i>
                        </blockquote>
                    </p>
                </div>
            </div>
        {% endif %}
        {% if section.jobs %}
            <div class="row">
                <div id="join-widget"></div>
                  <script type="text/javascript" src="https://cdn-widget.join.com/widget.v1.1.3.js"></script>
                  <script type="text/javascript">
                    JWidget.init({
                      containerId: 'join-widget',
                      companyId: 11154
                    })
                  </script>
            </div>
        {% endif %}
    </div>
</section>


